Name:		grisbi-ug-fr
Version:	0.5.1
Release:	0.fdr.4
Epoch:		0
Summary: 	The French Grisbi User Guide version %{version} in HTML format.
Summary(fr): 	Le manuel de l'utilisateur de Grisbi %{version} au format HTML.


Group:		Documentation
License:	GFDL
Url:		http://www.grisbi.org
Source0:	http://dl.sf.net/grisbi/grisbi-manuel-img-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Requires:	grisbi

%define GRISBI_HELP_DIR %{_datadir}/doc/grisbi/help

%description
The %{name} package contains the French Grisbi User Guide version
%{version} in HTML format. An online version is available on the following URL
http://www.grisbi.org/manuel.html
Install %{name} package if you want a local version of the French User Guide
on your computer.

%description -l fr
Le paquetage %{name} contient le manuel de l'utilisateur de Grisbi %{version}
au format HTML. Une copie en ligne est également disponible à l'adresse
suivante http://www.grisbi.org/manuel.html
Installez le paquetage %{name} si vous souhaitez disposer d'une version du
manuel de l'utilisateur sur votre machine.

%prep

%setup -q -n grisbi-manuel-img-%{version}
rm INSTALL
cd html_img
rm topic.dat
rm grisbi-manuel.html
mv index.html grisbi-manuel.doc.html
for file in `ls *.png`
do
	tmpfile=`readlink ${file}`
	rm -f ${file}
	cp ${tmpfile} ${file}
done
rm -Rf image
cd ..
rm -Rf image

%install
mkdir -p $RPM_BUILD_ROOT%{GRISBI_HELP_DIR}/fr
cd html_img
install -m 644 *.{png,html} $RPM_BUILD_ROOT%{GRISBI_HELP_DIR}/fr
rm -rf $RPM_BUILD_ROOT%{GRISBI_HELP_DIR}/grisbi-manuel-img-%{version}/html_img
touch $RPM_BUILD_ROOT%{GRISBI_HELP_DIR}/fr/grisbi-manuel.html

%post
if [ $1 -eq 1 ] ; then
  alternatives --install %{GRISBI_HELP_DIR}/fr/grisbi-manuel.html grisbi-manuel-fr %{GRISBI_HELP_DIR}/fr/grisbi-manuel.doc.html 20 || :
fi

%postun
if [ $1 -eq 0 ] ; then
  alternatives --remove grisbi-manuel-fr %{GRISBI_HELP_DIR}/fr/grisbi-manuel.doc.html || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/doc/grisbi/help/fr/grisbi-manuel.doc.html
%{_datadir}/doc/grisbi/help/fr/grisbi-manuel???.*
%ghost %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.html

%changelog
* Mon Nov 8 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.5.1-0.fdr.4
  - Remove Requires htmlview that is already needed by grisbi

* Tue Nov 2 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.5.1-0.fdr.3
  - Remove desktop entry
  - Force scriplet to return 0

* Fri Oct 22 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.5.1-0.fdr.2
  - Add BuildRequires: desktop-file-utils
  - Remove useless test [ $RPM_BUILD_ROOT != "/" ]
  - %{GRISBI_HELP_DIR}/fr/grisbi-manuel.html should be owned by the package.
  - Improve %post and %postun scripts depends upon whe are installing or
    upgrading.

* Wed Sep 15 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.5.1-0.fdr.1
- Initial Fedora RPM
